Game Notification

POST /Your callback endpoint, i.e. /alipayhk/game/notification

General Headers

Name

Description

Type

Sample

Client-Id

REQUIRED

An ID provided by AlipayHK, used to identify partner and application system.

String

4Q5Y8W0WSG45P907917

Content-Type

REQUIRED

The RFC 2616 media type of the request body, the charset should be as same as the one used for cryptographic operations. 

String

application/json; charset=UTF-8

Signature

REQUIRED

A key-value pairs string separated by commas (,), which keys and values are joined by equal signs (key=value). 

Valid keys include: 

  • algorithm: The digital signature algorithm used in generating the signature, RSA256 or ECC224, uses RSA256 by default. 
  • keyVersion: The key version of the signing key configured with Client-Id, uses the latest version by default. 
  • signature: The signature value of this request. 

String

algorithm=RSA256,keyVersion=1,signature=KEhXthj4bJ801Hqw8kaLvEKc0Rii8KsNUazw7kZgjxyGSPuOZ48058UVJUkkR21iD9JkHBGR rWiHPae8ZRPuBagh2H3qu7fxY5GxVDWayJUhUYkr9m%2FOW4UQVmXaQ9yn%2Fw2dCtzwAW0htPHYrKMyrT pMk%2BfDDmRflA%2FAMJhQ71yeyhufIA2PCJV8%2FCMOa46303A0WHhH0YPJ9%2FI0UeLVMWlJ1XcBo3Jr bRFvcowQwt0lP1XkoPmSLGpBevDE8%2FQ9WnxjPNDfrHnKgV2fp0hpMKVXNM%2BrLHNyMv3MkHg9iTMOD% 2FFYDAwSd%2B6%2FEOFo9UbdlKcmodJwjKlQoxZZIzmF8w%3D%3D

Encrypt

REQUIRED when message content needs to be encrypted. 

A key-value pairs string separated by commas (,), which keys and values are joined by equal signs (key=value). 

Valid keys include: 

  • algorithm: The symmetric key algorithm used in encryptingthe signature, only RSA_AES is supported. 
  • keyVersion: The key version of the signing key configured with Client-Id, uses the latest version by default.
  • symmetricKey: The encrypted symmetric key.

String

algorithm=RSA_AES,keyVersion=1,symmetricKey=bqS8HSmdaRrpKSuPy7CqUlyd8lJurG93

Request-only Headers

Name

Description

Type

Sample

Request-Time

REQUIRED

The ISO-8601 datetime of this API request with timezone.

String

2024-05-22T06:42:21+05:30

Response-only Headers

Name

Description

Type

Sample

Response-Time

REQUIRED

The ISO-8601 datetime of this API response with timezone.

String

2024-05-22T06:42:21+05:30

Tracer-Id

An ID for tracing this request.

String

abcdefg135202000000000263818

Idempotent Key: ​​​appId+​version+​eventType+​eventTime​

Request parameters

appId string  REQUIRED

Wallet-side application identifier.

More information:

  • Maximum length: 64 characters

version string  

Version identifier.

REQUIRED for version-level events (VERSION_AUDIT_REJECT, VERSION_ONLINE, VERSION_OFFLINE);

More information:

  • Maximum length: 64 characters

eventType string  REQUIRED

Case-sensitive event type.

Game Application Events

  • APP_ONLINE: Game application released.
  • APP_OFFLINE: Game application offline.

Version Events

  • VERSION_AUDIT_REJECT: Version approval rejected.
  • VERSION_ONLINE: Version released.
  • VERSION_OFFLINE: Version offline.

More information:

  • Maximum length: 64 characters

eventTime string  REQUIRED

Event occurrence time in ISO 8601 format (e.g. 2026-11-12T10:00:00.000+08:00).

More information:

  • Maximum length: 64 characters

reason string  

Event reason.

REQUIRED for VERSION_AUDIT_REJECT; optional otherwise.

More information:

  • Maximum length: 512 characters

latestStatus string  REQUIRED

Latest status after the event. For version-level events: P, ​A, ​R, or O. For app-level events: ONLINE or OFFLINE.

  • P: Preview state.
  • ​A: Approving.
  • R: Released.
  • O: Offline.
  • ONLINE: Application is online.
  • OFFLINE: Application is offline.

More information:

  • Maximum length: 16 characters

Response parameters

No request parameters.
API Explorer

Request

Request Body

Response

Response Body